> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /expedia/hotels/search

> Search Expedia hotels in a destination region by numeric region id and stay dates. Returns hotel cards with id, name, neighborhood, hotel page url, VIP Access flag, hero image and gallery, guest rating with label and review count, and pricing (stay total, nightly price and strikethrough price).

**Price:** 1 credit per 50 results



## OpenAPI

````yaml /openapi/travel-hospitality.json post /api/expedia/hotels/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/expedia/hotels/search:
    post:
      tags:
        - /expedia
      summary: /expedia/hotels/search
      description: >-
        Search Expedia hotels in a destination region by numeric region id and
        stay dates. Returns hotel cards with id, name, neighborhood, hotel page
        url, VIP Access flag, hero image and gallery, guest rating with label
        and review count, and pricing (stay total, nightly price and
        strikethrough price).


        **Price:** 1 credit per 50 results
      operationId: __api_expedia_hotels_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExpediaHotelsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExpediaSearchHotel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExpediaHotelsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        region_id:
          type: string
          minLength: 1
        check_in:
          anyOf:
            - type: string
            - type: 'null'
        check_out:
          anyOf:
            - type: string
            - type: 'null'
        adults:
          type: integer
          maximum: 14
          minimum: 1
          default: 2
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - region_id
        - count
    ExpediaSearchHotel:
      properties:
        '@type':
          type: string
          default: ExpediaSearchHotel
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        neighborhood:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        is_vip:
          type: boolean
          default: false
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        guest_rating:
          anyOf:
            - type: number
            - type: 'null'
        guest_rating_label:
          anyOf:
            - type: string
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        price_total:
          anyOf:
            - type: string
            - type: 'null'
        price_per_night:
          anyOf:
            - type: string
            - type: 'null'
        strikeout_price:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````